Bug 124403 - X freeze when use TuxRacer or Quake
X freeze when use TuxRacer or Quake
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 07:42 EDT by Daniel Pereda
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 17:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Pereda 2004-05-26 07:42:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
when i try to run the tuxracer or Quake 3 and the X freeze, and i get
this information from the Xorg.0.log:
....
space: 65520 wanted 65528
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0x228b0000 at 0xf6f4d000
                                                                     
                                                       
Fatal server error:
lockup
                                                                     
                                                       
                                                                     
                                                       
Please consult the The X.Org Foundation support
         at http://wiki.X.Org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.
                                                                     
                                                       
Error in I810WaitLpRing(), now is 166283771, start is 166281770
pgetbl_ctl: 0x1fd90001 pgetbl_err: 0x2000
ipeir: 0 iphdr: 0
LP ring tail: 10 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: 9ac7 ier: 0 imr: 9ac7 iir: 0
space: 65512 wanted 65528
                                                                     
                                                       
FatalError re-entered, aborting
lockup

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1.Log into X
2.run tuxracer.

    

Actual Results:  X frezze, and restart X

Expected Results:  run tuxracer...

Additional info:
Comment 1 Daniel Pereda 2004-05-28 19:36:50 EDT
i did another tests, and i discovered that the problem doesn't happen
in 600x480 resolution... 
i test FreeDroidRPG, tuxRacer and quake 3 and all of them result in X
reboot when i tried to play with resolution greater than 640x480 

i don't know why, any advice will be very usefull..
Comment 2 François Kooman 2004-06-12 11:18:03 EDT
At my laptop even xrandr (to change resolution to 640x480 to try
tuxracer) makes X crash:

Error in I810WaitLpRing(), now is 67061, start is 65054
pgetbl_ctl: 0xfc10001 pgetbl_err: 0x1f07f000
ipeir: 0 iphdr: 0
LP ring tail: 8 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: bac7 ier: 0 imr: bac7 iir: 0
space: 65520 wanted 65528
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0x128b3000 at 0xf6f81000
                                                                     
          
Fatal server error:
lockup
Please consult the The X.Org Foundation support
         at http://wiki.X.Org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.
                                                                     
          
Error in I810WaitLpRing(), now is 72092, start is 70091
pgetbl_ctl: 0xfc10001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 10 head: 0 len: 0 start 0
eir: 0 esr: 0 emr: 3d
instdone: ff7b instpm: 0
memmode: 4 instps: 0
hwstam: bac7 ier: 0 imr: bac7 iir: 0
space: 65512 wanted 65528
                                                                     
          
FatalError re-entered, aborting
lockup

Seems like a bug in de the Intel 8xx Xorg video driver.

/sbin/lspci:
00:02.0 VGA compatible controller: Intel Corp. 82815 CGC [Chipset
Graphics Controller] (rev 11) (prog-if 00 [VGA])
        Subsystem: Fujitsu Limited.: Unknown device 110c
        Flags: bus master, 66Mhz, medium devsel, latency 0, IRQ 10
        Memory at f8000000 (32-bit, prefetchable)
        Memory at f4000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [dc] Power Management version 2
Comment 3 Peter van Egdom 2004-06-29 16:22:20 EDT
Try setting your videocard to 16-bit color depth. See below for a
relevant section of "man i810" :

"i810 is an Xorg driver for Intel integrated graphics chipsets.
The driver supports depths 8, 15, 16 and 24. All visual types are
supported in depth 8. For the i810/i815 other depths support the
True-Color and DirectColor visuals. For the 830M and later, only
the True-Color visual is supported for depths greater than 8. The
driver supports hardware accelerated 3D via the Direct Rendering
Infrastructure (DRI), but only in depth 16 for the i810/i815 and
depths 16 and 24 for the 830M and later."

If that does not help try updating your kernel :
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/i386/
Comment 4 Mike A. Harris 2004-11-29 17:23:57 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core 3, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.